import React from 'react'
import { Svg } from './styles'
import { Link } from 'react-router-dom';

export const Logo = () => (
  <Link to = "/">
    <Svg
      preserveAspectRatio='xMidYMid'
      viewBox='87.2 -11.6 325.6 173.2'
    >
        <defs>
          <linearGradient
            id="prefix__editing-shiny-gradient"
            x1={0.578}
            x2={0.422}
            y1={0.006}
            y2={0.994}
            gradientUnits="objectBoundingBox"
          >
            <stop offset={0} stopColor="#00e1ff" />
            <stop offset={0.5} stopColor="#0094e1" />
            <stop offset={1} stopColor="#1a5d80" />
          </linearGradient>
          <linearGradient
            id="prefix__editing-shiny-gradient2"
            x1={0}
            x2={0}
            y1={0}
            y2={1}
          >
            <stop offset={0.2} stopColor="#fff" stopOpacity={0.8} />
            <stop offset={0.8} stopColor="#fff" stopOpacity={0} />
          </linearGradient>
          <filter
            id="prefix__editing-shiny2"
            x="-100%"
            y="-100%"
            width="300%"
            height="300%"
          >
            <feMorphology radius={2} />
          </filter>
          <filter
            id="prefix__editing-shiny"
            x="-100%"
            y="-100%"
            width="300%"
            height="300%"
          >
            <feFlood floodColor="#fff" result="flood" />
            <feConvolveMatrix
              in="SourceGraphic"
              result="conv"
              order="8,8"
              divisor={1}
              kernelMatrix="0 0 0 0 0 0 0 0 0 0 0 1 1 0 0 0 0 0 0 1 1 0 0 0 0 0 1 0 0 1 0 0 0 0 1 0 0 1 0 0 0 1 0 0 0 0 1 0 0 1 1 0 0 1 1 0 0 0 0 1 1 0 0 0"
            />
            <feOffset dy={4} in="conv" result="offset" />
            <feComposite operator="in" in="flood" in2="offset" result="comp" />
            <feGaussianBlur in="offset" stdDeviation={3} result="shadow" />
            <feColorMatrix
              in="shadow"
              values="0.7 0 0 0 0 0 0.7 0 0 0 0 0 0.7 0 0 0 0 0 0.3 0"
              result="dark-shadow"
            />
            <feOffset dy={4} in="dark-shadow" result="offset-shadow" />
            <feOffset dy={2} in="conv" result="offset-2" />
            <feComposite
              operator="out"
              in="offset"
              in2="offset-2"
              result="edge-diff"
            />
            <feGaussianBlur in="edge-diff" stdDeviation={1} result="edge-blur" />
            <feColorMatrix
              in="edge-blur"
              result="edge-shadow"
              values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.5 0"
            />
            <feComposite
              operator="in"
              in="edge-shadow"
              in2="offset"
              result="edge-shadow-in"
            />
            <feOffset dy={1} in="edge-shadow-in" result="edge-shadow-final" />
            <feMerge result="out">
              <feMergeNode in="offset-shadow" />
              <feMergeNode in="comp" />
              <feMergeNode in="edge-shadow-final" />
              <feMergeNode in="SourceGraphic" />
            </feMerge>
          </filter>
        </defs>
        <g filter="url(#prefix__editing-shiny)">
          <path
            d="M26.11-42.69q15.68 0 15.68 11.07 0 6.08-3.9 9.73-3.84 3.65-10.56 3.65-3.14 0-5.57-1.79-1.15-.77-1.92-1.79 4.67 0 7.14-2.85 2.46-2.85 2.46-8.42t-5.5-5.57H22.4q-.38 0-.7.07L14.34 0H.45l7.87-41.92q6.85-.64 10.82-.7 3.96-.07 6.97-.07zm41.92 31.87q1.6 1.09 1.6 3.49 0 2.4-1.21 3.94-1.22 1.53-3.2 2.56-4.1 2.11-8.52 2.11-4.41 0-7-.96-2.6-.96-4.32-2.75-3.4-3.39-3.4-9.6 0-9.67 5.25-15.55 5.63-6.34 15.43-6.34 6.08 0 9.08 2.56 2.24 1.92 2.24 5.06 0 11.26-19.45 11.26-.26 1.66-.26 3.07 0 2.95 1.31 4.07 1.32 1.12 3.75 1.12 2.43 0 5.02-1.12 2.59-1.12 3.68-2.92zm-13.05-6.97q4.54 0 7.16-2.82 2.63-2.69 2.63-6.97 0-1.48-.55-2.28-.54-.8-1.63-.8-1.09 0-2.01.42-.93.42-1.89 1.82-2.37 3.2-3.71 10.63zM77.18-6.4q0-1.73.9-6.08l3.39-17.28H77.7l.25-1.92q7.68-2.3 15.11-7.94h3.07l-1.54 6.98h4.99l-.57 2.88h-4.93l-3.26 17.28q-.84 3.97-.84 5.31 0 3.07 2.69 3.71-.64 2.18-2.94 3.46-2.31 1.28-5.57 1.28-3.26 0-5.12-2.05-1.86-2.05-1.86-5.63zm26.37-20.35q2.18-3.07 5.47-5.12 3.3-2.05 7.33-2.05t5.95 1.28l12.55-1.28-4.35 24.58q-2.24 12.54-6.98 17.47-4.54 4.67-13.38 4.67-6.72 0-10.56-2.11-3.84-2.11-3.84-5.63 0-2.63 1.99-4.13 1.98-1.51 5.05-1.51 2.69 0 4.74 1.22 1.22.64 1.79 1.54-1.47 1.28-1.47 3.39 0 2.75 2.56 2.75 4.29 0 6.72-10.11.7-2.75 1.28-5.51-2.88 3.52-9.41 3.52-4.54 0-7.17-2.17-2.62-2.18-2.62-7.3 0-3.2 1.09-6.81 1.09-3.62 3.26-6.69zm8.32 13.69q0 4.36 2.24 4.36 1.54 0 3.01-1.67 1.15-1.34 1.6-3.33l3.26-16.44q-.32-.07-.64-.2-.64-.25-1.47-.25-3.9 0-6.21 6.4-1.79 4.99-1.79 11.13zm45.51-4.92q2.3-4.1 2.3-8.26 0-2.75-1.98-2.75-1.54 0-3.14 2.62-1.66 2.63-2.18 6.02L149.06 0l-13.25 1.28 6.53-33.92 10.56-1.28-1.16 6.46q3.14-6.46 10.18-6.46 3.71 0 5.73 1.92 2.01 1.92 2.01 5.86 0 3.93-2.59 6.43-2.59 2.49-7.01 2.49-1.92 0-2.68-.76zm16.09 16.06q-1.5-1.66-2.17-4.29-.68-2.62-.68-6.91t1.48-8.19q1.47-3.91 4.16-6.72 5.5-5.89 14.59-5.89 3.26 0 5.63 1.09l10.94-1.09-4.73 24.96q-.19.77-.19 2.18 0 1.4.86 2.3.86.9 2.14 1.02-.64 2.18-2.97 3.46-2.34 1.28-4.96 1.28-2.63 0-4.39-.99-1.76-.99-2.27-2.66-1.02 1.6-3.2 2.63-2.17 1.02-5.09 1.02-2.91 0-5.28-.77-2.36-.77-3.87-2.43zm13.51-25.98q-.74 1.15-1.38 3.1-.64 1.95-1.7 7.17-1.05 5.21-1.05 8.93 0 3.71.57 4.8.58 1.08 1.6 1.08 2.05 0 3.56-1.95 1.5-1.95 2.08-5.41l3.39-18.75q-1.35-1.15-2.91-1.15-1.57 0-2.5.51-.93.51-1.66 1.67zm69.98 29.18q-7.74 0-7.74-6.02 0-2.62 1.12-7.71t1.5-7.13q.9-4.68.9-6.15 0-3.26-2.44-3.26-1.6 0-3.13 2.21-1.54 2.2-2.24 6.62L240.96 0l-12.48 1.28 3.46-17.41q.57-2.88 1.08-6.14.52-3.27.52-3.78 0-2.94-2.18-2.94-1.47 0-3.07 2.17-1.6 2.18-2.5 6.66L221.89 0l-12.61 1.28L216-32.64l10.43-1.28-1.09 6.46q1.67-3.45 4.74-4.96 3.07-1.5 7.87-1.5 2.75 0 4.55 1.34 1.79 1.35 2.36 3.52 1.09-2.24 3.88-3.55 2.78-1.31 6.2-1.31 3.43 0 5.12.74 1.7.73 2.72 1.95 1.73 2.24 1.73 6.33 0 4.04-1.73 12.42-.89 4.1-.89 5.6t.86 2.4q.87.9 2.15 1.02-.64 2.18-2.85 3.46-2.21 1.28-5.09 1.28z"
            fill="url(#prefix__editing-shiny-gradient)"
            transform="translate(117.325 102.745)"
          />
        </g>
      {/* <path
        fill='url(#prefix__a)'
        d='M37.3-14.3q.8 0 1.3.8.4.8.4 2.1 0 2.6-1.2 4Q35.1-4 32-2 28.7.3 24.7.3 21.3.3 19.2-2 15.6.3 11.6.3 10.8 12.7 7.8 21q-3 8.3-8.6 8.3-3.5 0-5.2-2.6-1.6-2.4-1.6-6.9 0-6.2 2.9-14.6Q-2-3 4.2-13.2q0-9.3-.2-13 0-1.8 1.5-3 1.5-1 3.8-1 1.4 0 2 .5.6.6.7 2.2v2.4q2-2.6 4-3.7t4.3-1.1q3.6 0 5.8 2.8 2.3 3 2.3 7.6 0 3.4-1 6.6-1.2 3.2-3 5.8 1.3.4 2.2.4 2 0 4-1.6 2-1.5 5-5 .7-1 1.6-1zM11.9-5.8q2.3-.5 4.3-2.5t3-5q1.2-3 1.2-6.3 0-1.9-.8-2.9-.7-1-2-1-2.3 0-5.6 4.9v8.2l-.1 4.6zM-.3 23q1.7 0 2.9-7.5Q3.7 7.9 4-3.3 1.3 3.1-.3 9-2 14.8-2 18.8q0 2 .5 3Q-1 23-.4 23zm62.7-37.3q.8 0 1.3.8t.5 2.1q0 2.6-1.2 4-2.4 2.9-6.7 5.3Q52 .3 47 .3q-6.7 0-10.4-3.6Q33-7 33-13.3q0-4.4 1.9-8.2 1.8-3.8 5.1-6 3.3-2.3 7.5-2.3 3.7 0 6 2.2 2.1 2.2 2.1 6 0 4.4-3.1 7.6-3.2 3.1-10.7 5 1.6 3 6 3 3 0 6.6-2.1 3.7-2 6.4-5.3.7-.9 1.7-.9zm-16.1-9.3q-2.4 0-4 2.8-1.7 2.8-1.7 6.7 3.8-.8 6-2.6t2.2-4.2q0-1.2-.7-2-.7-.7-1.8-.7zm41.3 9.3q.8 0 1.3.8.4.8.4 2.1 0 2.6-1.2 4-2.7 3.4-6 5.5Q78.8.3 74.6.3q-13 0-13-18.4l.2-5.6h-2.5q-2 0-2.6-.8-.7-.6-.7-2.2 0-3.6 2.9-3.6h3.6q1.1-7 3.4-12.8 2.2-5.9 5.4-9.3Q74.4-56 78-56q2.7 0 4.2 2.4t1.5 6q0 9.9-8.3 17.2h7.2q1 0 1.5.5.4.4.4 1.6 0 4.5-7.2 4.5h-7.8l-.2 5q0 6.6 1.6 9.3 1.6 2.7 5 2.7 2.7 0 4.8-1.7 2.1-1.7 5-5 .8-.9 1.8-.9zM76.3-49.7q-1 0-2 2.4Q73-45 72-40.7q-1 4.3-1.8 9.5 3.8-3.3 5.7-7.4 1.9-4 1.9-7.4 0-3.7-1.5-3.7zM117-14.1q.9 0 1.3.8.5.8.5 2 0 1.4-.4 2.3-.5.8-1.4 1.5L108.8-2 104.7.7q-2.4 13.3-6.4 20.8-3.9 7.6-10 7.6-3.2 0-5.3-2-2-2-2-5.3 0-4.5 3.5-9.7Q88.1 6.8 98-.8l.4-2.5q-1.1 1.8-2.9 2.7-1.7 1-3.5 1-4 0-6.3-3-2.4-2.8-2.4-7.5 0-5.1 2.4-9.7t6.3-7.4q4-2.8 8.3-2.8 1.5 0 2 .6.4.5.7 2 1.3-.3 2.9-.3 1.6 0 2.2.5.7.4.7 1.9v1.2l-1.7 10-.5 3.4L106-7q5-3.8 9.5-6.7.8-.5 1.4-.5zm-22.6 8q1.5 0 2.9-1.8 1.3-1.8 1.9-5.2l2-10.9q-2.6 0-4.8 2-2.3 2-3.6 5.2-1.4 3.2-1.4 6.8 0 2 .8 2.9.8 1 2.2 1zm-5.3 29q1.6 0 3.6-3.8 2-3.9 4-12.3-5 4.3-7.2 7.7-2.2 3.4-2.2 6 0 1 .5 1.7.4.7 1.3.7zM119.4.3q-2.5 0-3.5-2.5-1-2.6-1-8.2 0-8.3 2.4-15.8.6-1.9 1.9-2.8 1.3-.8 3.7-.8 1.3 0 1.8.3t.5 1.2q0 1-1 4.6l-1 4.5q-.4 2-.6 4.7 2-5.5 4.7-9 2.6-3.4 5.1-4.9 2.6-1.4 4.7-1.4 4.2 0 4.2 4.1 0 .9-.6 4-.5 2.6-.5 3.3 0 2.2 1.6 2.2 1.8 0 4.6-2.8.8-.8 1.7-.8.8 0 1.3.7t.5 2q0 2.3-1.3 3.7-1.8 1.8-4.2 3.1-2.4 1.3-5 1.3-3.5 0-5.2-1.7-1.8-1.7-1.8-4.7 0-1 .2-1.9l.1-1.7q0-1-.7-1-1 0-2.5 2.1-1.6 2.2-3.1 5.7t-2.5 7.4q-.7 3-1.6 4-1 1.1-3 1.1zm32.4 0q-4 0-6.3-2.9Q143-5.4 143-10q0-5.1 2.4-9.7 2.3-4.6 6.3-7.4 4-2.8 8.3-2.8 1.4 0 2 .6.4.5.7 2 1.4-.3 2.8-.3 3.2 0 3.2 2.2 0 1.4-1 6.4-1.5 7.4-1.5 10.3 0 1 .5 1.5.5.6 1.3.6 1.2 0 3-1.6l4.6-5q.8-1 1.7-1 .8 0 1.3.8t.5 2.1q0 2.6-1.2 4-2.6 3.2-5.6 5.5-3 2.2-5.7 2.2-2 0-3.8-1.4-1.8-1.5-2.7-4-3.3 5.4-8.4 5.4zm2.3-6.4q1.4 0 2.7-1.7 1.3-1.7 1.9-4.4L161-24q-2.7 0-5 2-2.2 2-3.6 5.2-1.3 3.2-1.3 6.8 0 2 .8 2.9.8 1 2.2 1zM178.6.3q-2.5 0-3.5-2.5-1-2.6-1-8.2 0-8.3 2.4-15.8.6-1.9 1.9-2.8 1.3-.8 3.7-.8 1.3 0 1.8.3t.5 1.2q0 1-1 4.6l-1 4.5q-.4 1.9-.6 4.7 1.7-5 4-8.5 2.5-3.4 5-5.1 2.5-1.7 4.8-1.7 2.2 0 3.2 1 .9 1 .9 3.1 0 2-1.2 7.5-.6 2.3-.7 3.4 3.2-7.9 7-11.4 4-3.6 7.4-3.6 4.1 0 4.1 4.1 0 2.5-1.4 9-1.2 5.6-1.2 7.4 0 2.6 1.9 2.6 1.2 0 3-1.6t4.7-5q.8-1 1.7-1 .9 0 1.3.8.5.8.5 2.1 0 2.6-1.2 4-2.8 3.4-6 5.5-3 2.2-7.1 2.2-3.3 0-5-1.9Q206-3.5 206-7q0-1.8.9-6.4.8-4 .8-5.6 0-1-.7-1-.8 0-2.4 2.1-1.5 2.2-3 5.7-1.6 3.5-2.5 7.4-.7 3-1.7 4.1-.9 1-3 1-2 0-3.1-2-1-2-1-4.9 0-2.4.6-7 .5-4.1.5-5.4 0-1-.7-1-1 0-2.4 2.3-1.5 2.3-2.9 5.9-1.4 3.5-2.2 7-.7 3-1.6 4-1 1.1-3 1.1z'
        transform='translate(136.6 117.5)'
      /> */}
    </Svg>
  </Link>
)